Simply brings the standard dynamodb operations into the rx world by wrapping the node callbacks into observables

### Hierarchy

- DynamoRx

## Index

### Constructors

- constructor

### Properties

- dynamoDb
- sessionValidityEnsurer

### Methods

- batchGetItems
- batchWriteItem
- deleteItem
- getItem
- makeRequest
- putItem
- query
- scan
- updateAwsConfigCredentials
- updateItem

## Constructors

### constructor

- new DynamoRx(sessionValidityEnsurer: SessionValidityEnsurer, awsRegion?: undefined | string): DynamoRx

- - Defined in dynamo/dynamo-rx.ts:12

  #### Parameters

  - ##### sessionValidityEnsurer: SessionValidityEnsurer

  - ##### Optional awsRegion: undefined | string

  #### Returns DynamoRx

## Properties

### dynamoDb

dynamoDb: DynamoDB

- Defined in dynamo/dynamo-rx.ts:11

### sessionValidityEnsurer

sessionValidityEnsurer: SessionValidityEnsurer

- Defined in dynamo/dynamo-rx.ts:12

## Methods

### batchGetItems

- batchGetItems(params: BatchGetItemInput): Observable<BatchGetItemOutput>

- - Defined in dynamo/dynamo-rx.ts:49

  #### Parameters

  - ##### params: BatchGetItemInput

  #### Returns Observable<BatchGetItemOutput>

### batchWriteItem

- batchWriteItem(params: BatchWriteItemInput): Observable<BatchWriteItemOutput>

- - Defined in dynamo/dynamo-rx.ts:45

  #### Parameters

  - ##### params: BatchWriteItemInput

  #### Returns Observable<BatchWriteItemOutput>

### deleteItem

- deleteItem(params: DeleteItemInput): Observable<DeleteItemOutput>

- - Defined in dynamo/dynamo-rx.ts:41

  #### Parameters

  - ##### params: DeleteItemInput

  #### Returns Observable<DeleteItemOutput>

### getItem

- getItem(params: GetItemInput): Observable<GetItemOutput>

- - Defined in dynamo/dynamo-rx.ts:33

  #### Parameters

  - ##### params: GetItemInput

  #### Returns Observable<GetItemOutput>

### makeRequest

- makeRequest(operation: string, params?: undefined | object): any

- - Defined in dynamo/dynamo-rx.ts:65

  #### Parameters

  - ##### operation: string

  - ##### Optional params: undefined | object

  #### Returns any

### putItem

- putItem(params: PutItemInput): Observable<PutItemOutput>

- - Defined in dynamo/dynamo-rx.ts:29

  #### Parameters

  - ##### params: PutItemInput

  #### Returns Observable<PutItemOutput>

### query

- query(params: QueryInput): Observable<QueryOutput>

- - Defined in dynamo/dynamo-rx.ts:57

  #### Parameters

  - ##### params: QueryInput

  #### Returns Observable<QueryOutput>

### scan

- scan(params: ScanInput): Observable<ScanOutput>

- - Defined in dynamo/dynamo-rx.ts:53

  #### Parameters

  - ##### params: ScanInput

  #### Returns Observable<ScanOutput>

### updateAwsConfigCredentials

- updateAwsConfigCredentials(newConfig: Config): void

- - Defined in dynamo/dynamo-rx.ts:22

  #### Parameters

  - ##### newConfig: Config

  #### Returns void

### updateItem

- updateItem(params: UpdateItemInput): Observable<UpdateItemOutput>

- - Defined in dynamo/dynamo-rx.ts:37

  #### Parameters

  - ##### params: UpdateItemInput

  #### Returns Observable<UpdateItemOutput>

Generated using TypeDoc